<?php
/**
 *
 * Copyright notice
 *
 * (c) sgalinski Internet Services (https://www.sgalinski.de)
 *
 * All rights reserved
 *
 * This script is part of the TYPO3 project. The TYPO3 project is
 * free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * The GNU General Public License can be found at
 * http://www.gnu.org/copyleft/gpl.html.
 *
 * This script is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * This copyright notice MUST APPEAR in all copies of the script!
 */

call_user_func(
	function ($extKey, $table) {
		// Register frontend plugins
		\TYPO3\CMS\Extbase\Utility\ExtensionUtility::registerPlugin(
			$extKey,
			'Joblist',
			'LLL:EXT:' . $extKey . '/Resources/Private/Language/locallang_backend.xlf:listPlugin'
		);

		// Register frontend plugins
		\TYPO3\CMS\Extbase\Utility\ExtensionUtility::registerPlugin(
			$extKey,
			'JobApplication',
			'LLL:EXT:' . $extKey . '/Resources/Private/Language/locallang_backend.xlf:applyPlugin'
		);

		// Register frontend plugins
		\TYPO3\CMS\Extbase\Utility\ExtensionUtility::registerPlugin(
			$extKey,
			'JobTeaser',
			'LLL:EXT:' . $extKey . '/Resources/Private/Language/locallang_backend.xlf:teaserPlugin'
		);

		$extensionName = \strtolower(\TYPO3\CMS\Core\Utility\GeneralUtility::underscoredToUpperCamelCase($extKey));
		$pluginSignature = $extensionName . '_joblist';

		$GLOBALS['TCA'][$table]['types']['list']['subtypes_addlist'][$pluginSignature] = 'pi_flexform';
		\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addPiFlexFormValue(
			$pluginSignature,
			'FILE:EXT:' . $extKey . '/Configuration/FlexForms/Joblist.xml'
		);

		$pluginSignature = $extensionName . '_jobapplication';

		$GLOBALS['TCA'][$table]['types']['list']['subtypes_addlist'][$pluginSignature] = 'pi_flexform';
		\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addPiFlexFormValue(
			$pluginSignature,
			'FILE:EXT:' . $extKey . '/Configuration/FlexForms/JobApplication.xml'
		);

		$pluginSignature = $extensionName . '_jobteaser';

		$GLOBALS['TCA'][$table]['types']['list']['subtypes_addlist'][$pluginSignature] = 'pi_flexform';
		\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addPiFlexFormValue(
			$pluginSignature,
			'FILE:EXT:' . $extKey . '/Configuration/FlexForms/JobTeaser.xml'
		);
	}, 'sg_jobs', 'tt_content'
);
